PropertyOutputStream (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util, class: PropertyOutputStream

Package org.apache.tools.ant.util

# Class PropertyOutputStream

java.lang.Object
java.io.OutputStream
java.io.ByteArrayOutputStream
org.apache.tools.ant.util.PropertyOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class PropertyOutputStream extends ByteArrayOutputStream
`OutputStream` that writes an Ant property.

Since:
  Ant 1.7
See Also:
  - `PropertyResource.getOutputStream()`

- ## Field Summary

  ### Fields inherited from class java.io.ByteArrayOutputStream

  `buf, count`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyOutputStream(Project p, String s)`
  Construct a new PropertyOutputStream for the specified Project and property name, trimming the property value.
  `PropertyOutputStream(Project p, String s, boolean b)`
  Construct a new PropertyOutputStream for the specified Project, property name, and trim mode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Close the PropertyOutputStream, storing the property.

  ### Methods inherited from class java.io.ByteArrayOutputStream

  `reset, size, toByteArray, toString, toString, toString, toString, write, write, writeBytes, writeTo`

  ### Methods inherited from class java.io.OutputStream

  `flush, nullOutputStream, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PropertyOutputStream

    public PropertyOutputStream(Project p, String s)
    Construct a new PropertyOutputStream for the specified Project and property name, trimming the property value.
    Parameters:
      `p` - the associated Ant Project.
      `s` - the String property name.

  - ### PropertyOutputStream

    public PropertyOutputStream(Project p, String s, boolean b)
    Construct a new PropertyOutputStream for the specified Project, property name, and trim mode.
    Parameters:
      `p` - the associated Ant Project.
      `s` - the String property name.
      `b` - the boolean trim mode.

- ## Method Details

  - ### close

    public void close()
    Close the PropertyOutputStream, storing the property.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `ByteArrayOutputStream`